ocilib::Long< T, U > Class Template Reference

Object identifying the SQL data type LONG. More...

`#include <ocilib.hpp>`

Inherits ocilib::HandleHolder< OCI_Long *>.

## Public Member Functions

| Long ()
| Create an empty null Long instance.
| Long (const Statement &statement)
| Constructor. More...
unsigned int | Write (const T &content)
| Write the given string into the long Object. More...
unsigned int | GetLength () const
| Return the buffer length.
T | GetContent () const
| Return the string read from a fetch sequence.

## Detailed Description

### template<class T, int U>
class ocilib::Long< T, U >

Object identifying the SQL data type LONG.

This class wraps the OCILIB object handle OCI_LONG of type OCI_CLONG and its related methods

Definition at line 5259 of file ocilib.hpp.

## Constructor & Destructor Documentation

## Long()

template<class T , int U>

ocilib::Long< T, U >::Long | ( | const Statement & | statement | ) |

Constructor.

Parameters

  statement | - statement object that will handle operations on the long buffer

Definition at line 4433 of file ocilib_impl.hpp.

References ocilib::Check(), ocilib::Long< T, U >::Long(), OCI_LongCreate(), and OCI_LongFree().

## Member Function Documentation

## Write()

template<class T , int U>

unsigned int ocilib::Long< T, U >::Write | ( | const T & | content | ) |

Write the given string into the long Object.

Parameters

  content | - string to write

Returns
  Number of character written

Definition at line 4445 of file ocilib_impl.hpp.

References ocilib::Check(), and OCI_LongWrite().